Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Interface JifConstructorInstance

All Superinterfaces:
  java.lang.Cloneable, polyglot.types.CodeInstance, polyglot.types.ConstructorInstance, polyglot.util.Copy, polyglot.types.Declaration, JifProcedureInstance, polyglot.types.MemberInstance, polyglot.types.ProcedureInstance, java.io.Serializable, polyglot.types.TypeObject

All Known Implementing Classes:
  JifConstructorInstance_c

    public interface JifConstructorInstance

extends polyglot.types.ConstructorInstance, JifProcedureInstance

Jif constructor instance.

Method Summary

Methods inherited from interface polyglot.types.ConstructorInstance
`container, flags, formalTypes, orig, throwTypes`

Methods inherited from interface polyglot.types.ProcedureInstance
`callValid, callValidImpl, designator, formalTypes, hasFormals, hasFormalsImpl, moreSpecific, moreSpecificImpl, setFormalTypes, setThrowTypes, signature, throwsSubset, throwsSubsetImpl, throwTypes`

Methods inherited from interface polyglot.types.MemberInstance
`container, flags, setContainer, setFlags`

Methods inherited from interface polyglot.types.Declaration
`declaration, setDeclaration`

Methods inherited from interface jif.types.JifProcedureInstance
`constraints, debugString, isDefaultReturnLabel, isDefaultStartLabel, returnLabel, setConstraints, setReturnLabel, setStartLabel, startLabel, subst, subst`

Methods inherited from interface polyglot.types.ProcedureInstance
`callValid, callValidImpl, designator, formalTypes, hasFormals, hasFormalsImpl, moreSpecific, moreSpecificImpl, setFormalTypes, setThrowTypes, signature, throwsSubset, throwsSubsetImpl, throwTypes`

Methods inherited from interface polyglot.types.MemberInstance
`container, flags, setContainer, setFlags`

Methods inherited from interface polyglot.types.Declaration
`declaration, setDeclaration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD